MPTSPI_INITTARGET(9)

NAME
mptspi_initTarget - Target, LUN alloc/free functionality.

SYNOPSIS

void mptspi_initTarget(MPT_SCSI_HOST * hd, VirtTarget * vtarget, struct scsi_device * sdev);

ARGUMENTS

hd
    Pointer to MPT_SCSI_HOST structure

vtarget
    per target private data

sdev
    SCSI device

NOTE

It's only SAFE to call this routine if data points to sane & valid STANDARD INQUIRY data!

Allocate and initialize memory for this target. Save inquiry data.

COPYRIGHT